[submodule "kernel/common"]
	branch = android12-trusty-5.10
	path = external/linux
	url = ../../kernel/common
[submodule "platform/external/boringssl"]
	branch = master
	path = external/boringssl
	url = ../../platform/external/boringssl
[submodule "platform/external/capstone"]
	path = external/capstone
	url = ../../platform/external/capstone
[submodule "platform/external/dtc"]
	branch = master
	path = external/dtc
	url = ../../platform/external/dtc
[submodule "platform/external/freetype"]
	branch = master
	path = external/freetype
	url = ../../platform/external/freetype
[submodule "platform/external/googletest"]
	path = external/googletest
	url = ../../platform/external/googletest
[submodule "platform/external/libcppbor"]
	branch = master
	path = external/libcppbor
	url = ../../platform/external/libcppbor
[submodule "platform/external/libcxx"]
	branch = master
	path = external/libcxx
	url = ../../platform/external/libcxx
[submodule "platform/external/libcxxabi"]
	branch = master
	path = external/libcxxabi
	url = ../../platform/external/libcxxabi
[submodule "platform/external/nanopb-c"]
	branch = master
	path = external/nanopb-c
	url = ../../platform/external/nanopb-c
[submodule "platform/external/open-dice"]
	branch = master
	path = external/open-dice
	url = ../../platform/external/open-dice
[submodule "platform/external/protobuf"]
	branch = master
	path = external/protobuf
	url = ../../platform/external/protobuf
[submodule "platform/external/rust/crates/cfg-if"]
	path = external/rust/crates/cfg-if
	url = ../../platform/external/rust/crates/cfg-if
[submodule "platform/external/rust/crates/log"]
	path = external/rust/crates/log
	url = ../../platform/external/rust/crates/log
[submodule "platform/external/scudo"]
	branch = master
	path = external/scudo
	url = ../../platform/external/scudo
[submodule "platform/hardware/libhardware"]
	branch = master
	path = hardware/libhardware
	url = ../../platform/hardware/libhardware
[submodule "platform/prebuilts/build-tools"]
	branch = master
	shallow = true
	path = prebuilts/build-tools
	url = ../../platform/prebuilts/build-tools
[submodule "platform/prebuilts/clang-tools"]
	branch = master
	shallow = true
	path = prebuilts/clang-tools
	url = ../../platform/prebuilts/clang-tools
[submodule "platform/prebuilts/clang/host/linux-x86"]
	path = prebuilts/clang/host/linux-x86
	url = ../../platform/prebuilts/clang/host/linux-x86
[submodule "platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9"]
	path = prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9
	url = ../../platform/prebuilts/gcc/linux-x86/aarch64/aarch64-linux-android-4.9
[submodule "platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-4.9"]
	path = prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-4.9
	url = ../../platform/prebuilts/gcc/linux-x86/arm/arm-linux-androideabi-4.9
[submodule "platform/prebuilts/gcc/linux-x86/x86/x86_64-linux-android-4.9"]
	path = prebuilts/gcc/linux-x86/x86/x86_64-linux-android-4.9
	url = ../../platform/prebuilts/gcc/linux-x86/x86/x86_64-linux-android-4.9
[submodule "platform/prebuilts/libprotobuf/linux"]
	branch = trusty
	shallow = true
	path = prebuilts/libprotobuf
	url = ../../platform/prebuilts/libprotobuf/linux
[submodule "platform/prebuilts/rust"]
	branch = master
	shallow = true
	path = prebuilts/rust
	url = ../../platform/prebuilts/rust
[submodule "platform/system/gatekeeper"]
	branch = master
	path = system/gatekeeper
	url = ../../platform/system/gatekeeper
[submodule "platform/system/iot/attestation"]
	branch = master
	path = system/iot/attestation
	url = ../../platform/system/iot/attestation
[submodule "platform/system/keymaster"]
	branch = master
	path = system/keymaster
	url = ../../platform/system/keymaster
[submodule "platform/system/teeui"]
	branch = master
	path = system/teeui
	url = ../../platform/system/teeui
[submodule "platform/tools/repohooks"]
	branch = master
	path = tools/repohooks
	url = ../../platform/tools/repohooks
[submodule "trusty/app/avb"]
	branch = master
	path = trusty/user/app/avb
	url = ../app/avb
[submodule "trusty/app/confirmationui"]
	branch = master
	path = trusty/user/app/confirmationui
	url = ../app/confirmationui
[submodule "trusty/app/gatekeeper"]
	branch = master
	path = trusty/user/app/gatekeeper
	url = ../app/gatekeeper
[submodule "trusty/app/keymaster"]
	branch = master
	path = trusty/user/app/keymaster
	url = ../app/keymaster
[submodule "trusty/app/keymint"]
	branch = master
	path = trusty/user/app/keymint
	url = ../app/keymint
[submodule "trusty/app/sample"]
	branch = master
	path = trusty/user/app/sample
	url = ../app/sample
[submodule "trusty/app/storage"]
	branch = master
	path = trusty/user/app/storage
	url = ../app/storage
[submodule "trusty/device/arm/generic-arm64"]
	branch = master
	path = trusty/device/arm/generic-arm64
	url = ../device/arm/generic-arm64
[submodule "trusty/device/arm/vexpress-a15"]
	branch = master
	path = trusty/device/arm/vexpress-a15
	url = ../device/arm/vexpress-a15
[submodule "trusty/device/nxp/imx7d"]
	branch = master
	path = trusty/device/nxp/imx7d
	url = ../device/nxp/imx7d
[submodule "trusty/device/x86/generic-x86_64"]
	branch = master
	path = trusty/device/x86/generic-x86_64
	url = ../device/x86/generic-x86_64
[submodule "trusty/external/headers"]
	branch = master
	path = external/headers
	url = ../external/headers
[submodule "trusty/external/musl"]
	branch = master
	path = external/trusty/musl
	url = ../external/musl
[submodule "trusty/external/qemu"]
	branch = master
	path = external/qemu
	url = ../external/qemu
[submodule "trusty/external/qemu-keycodemapdb"]
	path = external/qemu-keycodemapdb
	url = ../external/qemu-keycodemapdb
[submodule "trusty/external/trusted-firmware-a"]
	branch = master
	path = external/arm-trusted-firmware
	url = ../external/trusted-firmware-a
[submodule "trusty/external/trusty"]
	branch = master
	path = external/trusty/bootloader
	url = ../external/trusty
[submodule "trusty/lib"]
	branch = master
	path = trusty/user/base
	url = ../lib
[submodule "trusty/lk/common"]
	branch = master
	path = external/lk
	url = ../lk/common
[submodule "trusty/lk/nxp"]
	branch = master
	path = trusty/hardware/nxp
	url = ../lk/nxp
[submodule "trusty/lk/trusty"]
	branch = master
	path = trusty/kernel
	url = ../lk/trusty
[submodule "trusty/prebuilts/aosp"]
	branch = master
	shallow = true
	path = trusty/prebuilts/aosp
	url = ../prebuilts/aosp
[submodule "trusty/vendor/google/aosp"]
	branch = master
	path = trusty/vendor/google/aosp
	url = ../vendor/google/aosp
